classification
Title: Backport reload() moving to imp.reload()
Type: behavior Stage:
Components: Extension Modules Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, collinwinter
Priority: release blocker Keywords: 26backport

Created on 2008-03-17 17:52 by brett.cannon, last changed 2008-08-06 22:28 by brett.cannon. This issue is now closed.

Messages (3)
msg63697 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-03-17 17:52
A fixer to change calls from reload() to imp.reload() needs to happen.
Plus imp.reload() should come into existence.
msg70796 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-08-06 19:20
A fixer is not going to work for this since it might require an import
to work. Instead reload() just needs to be added as imp.reload() and the
current warning stays.
msg70808 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-08-06 22:28
Done in r65563.
History
Date User Action Args
2008-08-06 22:28:46brett.cannonsetstatus: open -> closed
resolution: fixed
messages: + msg70808
2008-08-06 19:20:45brett.cannonsetpriority: critical -> release blocker
assignee: collinwinter -> brett.cannon
messages: + msg70796
components: + Extension Modules, - Interpreter Core, 2to3 (2.x to 3.x conversion tool)
2008-03-28 16:20:40collinwintersetcomponents: + 2to3 (2.x to 3.x conversion tool)
2008-03-17 20:10:46brett.cannonsetpriority: release blocker -> critical
2008-03-17 17:56:12brett.cannonsetcomponents: + Interpreter Core, - 2to3 (2.x to 3.x conversion tool)
2008-03-17 17:52:59brett.cannoncreate